Не удается собрать VS-код в manjaro KDE

  ==> Получение источников ... -> Найдено code_x64_1.49.1.tar.gz -> Найдено visual-studio-code.desktop -> Найдено visual-studio-code-url-handler  .desktop ==> Проверка исходных файлов с помощью sha256sums ... code_x64_1.49.1.tar.gz ... FAILEDvisual-studio-code.desktop ... Passedvisual-studio-code-url-handler.desktop ... Passed ==  > ОШИБКА: один или несколько файлов не прошли проверку на достоверность! Не удалось создать visual-studio-code-bin  

Зачем вам создавать его самостоятельно когда он находится в официальном репо (включая Archlinux)?

  sudo pacman -Syu code  

Это означает, что PKGBUILD не содержит правильных контрольных сумм.

Решение первое

Свяжитесь с разработчиком указанного PKGBUILD и проинформируйте его. проблемы.

Решение второе
Решите его с помощью собственных команд Archlinux следующим образом - включая пояснения

  1. Убедитесь, что все необходимые пакеты доступны

      $ sudo pacman -Syu git base-devel --needed  
  2. Клонировать репо

      $ git clone https://aur.archlinux.org/visual-studio-code-bin
  3. Измените папку на новую клонированное репо

      $ cd visual-studio-code-bin  
  4. Обновите PKGBUILD раздел контрольной суммы

      $ updpkgsums  
  5. Скомпилируйте и установите пакет - и необходимые зависимости

      $ makepkg -is  

Я пробовал официальное репо, но оно включает нежелательные зависимости, включающие электрон js


Код Visual Studio построен на электроне - этого нельзя избежать.


да ... но обычно он не устанавливается вместе с этим


Да, это так - вы просто не видите этого.

Вы видите это с репо версия, потому что электрон был отделен от редактора.


Ох, не знал об этом



Не удается установить последнюю версию VS Код

РЕШЕНИЕ: я просто решил проблему, pamac по какой-то причине не обновлял пакеты AUR, я установил yay и запустил yay -Syua, и он правильно обновил пакет.

Всем привет! Я совсем недавно использую Manjaro, и это моя первая скользящая версия ОС.

Проблема в том, что у меня две установки Manjaro на разных компьютерах. На моем ноутбуке у меня установлен последний VSCode через AUR: visual-studio-code-bin 1.49.3-1, но на моем настольном ПК с последним стабильным ядром я просто обновил все, но у меня есть пакет visual-studio -code-bin 1.46.0-1.

Я совершенно не понимаю, что происходит, как мне установить такую ​​старую версию на этот компьютер? Я пробовал обновить все, но VSCode не обновляется.

Спасибо!


Поскольку пакеты, построенные с использованием AUR, не поддерживаются, вам нужно будет явно указать Pamac для пересборки пакетов.

Версия VS Code доступна в официальном репо (унаследована от Arch), а версия в репозитории не той же версии, что и официальная, особенно некоторые специальные предложения Microsoft были исключены, а электронный фреймворк выделен в отдельный пакет.


Спасибо, что поделились с сообществом!

Не могли бы вы сделать мне одолжение и разделить свое сообщение на вопрос и ответ, а затем отметить решение вроде этого:

, чтобы следующий человек, у которого возникла точно такая же проблема, извлекут выгоду из вашего сообщения, так как ваш вопрос теперь будет в статусе «решен».

PS Как только вы это сделаете, я удалю это уведомление.

Оцените статью
clickpad.ru
Добавить комментарий